public inbox for gentoo-catalyst@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-catalyst] [PATCH 1/3] Re-allow the use of mksquashfs to pack the livecd contents
@ 2020-10-23  9:18 Daniel Cordero
  2020-10-23  9:18 ` [gentoo-catalyst] [PATCH 2/3] Update requirements for amd64/x86 ISO creation Daniel Cordero
                   ` (2 more replies)
  0 siblings, 3 replies; 10+ messages in thread
From: Daniel Cordero @ 2020-10-23  9:18 UTC (permalink / raw
  To: gentoo-catalyst

From: Daniel Cordero <catalyst@0xdc.io>

sys-fs/squashfs-tools-ng is keyworded as unstable. Stable squashfs users
can still use mksquashfs to create the squashed image.

Fixes: 23e9ea10 "targets: Use gensquashfs instead of mksquashfs"

Signed-off-by: Daniel Cordero <catalyst@0xdc.io>
---

I have not fixed targets/embedded/fs-runscript.sh from the referenced
commit.


 targets/support/target_image_setup.sh | 9 +++++++--
 1 file changed, 7 insertions(+), 2 deletions(-)

diff --git a/targets/support/target_image_setup.sh b/targets/support/target_image_setup.sh
index fdc4a234..23150f13 100755
--- a/targets/support/target_image_setup.sh
+++ b/targets/support/target_image_setup.sh
@@ -7,8 +7,13 @@ mkdir -p "${1}"
 echo "Creating ${clst_fstype} filesystem"
 case ${clst_fstype} in
 	squashfs)
-		gensquashfs -D "${clst_destpath}" -q ${clst_fsops} "${1}/image.squashfs" \
-			|| die "Failed to create squashfs filesystem"
+		if command -v mksquashfs; then
+			mksquashfs "${clst_destpath}" "$1/image.squashfs" ${clst_fsops} -noappend \
+				|| die "mksquashfs failed"
+		else
+			gensquashfs -D "${clst_destpath}" -q ${clst_fsops} "${1}/image.squashfs" \
+				|| die "Failed to create squashfs filesystem"
+		fi
 	;;
 	jffs2)
 		mkfs.jffs2 --root="${clst_destpath}" --output="${1}/image.jffs" "${clst_fsops}" \
-- 
2.26.2



^ permalink raw reply related	[flat|nested] 10+ messages in thread

end of thread, other threads:[~2020-10-26 13:26 UTC | newest]

Thread overview: 10+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2020-10-23  9:18 [gentoo-catalyst] [PATCH 1/3] Re-allow the use of mksquashfs to pack the livecd contents Daniel Cordero
2020-10-23  9:18 ` [gentoo-catalyst] [PATCH 2/3] Update requirements for amd64/x86 ISO creation Daniel Cordero
2020-10-23 16:24   ` Matt Turner
2020-10-25 21:20   ` Daniel Cordero
2020-10-26 13:25   ` Thomas Schmitt
2020-10-23  9:18 ` [gentoo-catalyst] [PATCH 3/3] Build ISO with Joliet directory information Daniel Cordero
2020-10-23 16:25   ` Matt Turner
2020-10-23 17:00     ` Daniel Cordero
2020-10-23 17:16       ` Matt Turner
2020-10-23 16:22 ` [gentoo-catalyst] [PATCH 1/3] Re-allow the use of mksquashfs to pack the livecd contents Matt Turner

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox